Version française
Home     About     Download     Resources     Contact us    
Browse thread
OpenGL support in LablGTK2?
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Grégory Guyomarc'h <gregory@g...>
Subject: Re: [Caml-list] OpenGL support in LablGTK2?
Hello,

In my case, there is no problem with the build stage of either gtkglarea
(libgtkgl2) or lablgtk2, but most of the examples provided with the
gtkglarea library trigger an "X error".

Regards,
Gregory.

On Wed, 8 Dec 2004 16:50:31 +0100, "Sven Luther"
<sven.luther@wanadoo.fr> said:
> On Wed, Dec 08, 2004 at 04:38:37PM +0100, Sven Luther wrote:
> > On Wed, Dec 08, 2004 at 10:53:15PM +0900, Jacques Garrigue wrote:
> > > From: Sven Luther <sven.luther@wanadoo.fr>
> > > > > Now, it seems that the gtk people have botched something, and gtkglarea
> > > > > have stopped working. If this is not solved soon, I suppose lablgtk2
> > > > > will have to move to gtkglext, and emulate gtkglarea on top of it (you
> > > > > don't want API changes, do you?)
> > > > 
> > > > Notice that this is not really true, look at the debian lablgtk2 package, it
> > > > builds against lablgl, and everything works fine.
> > > > 
> > > > Well, at least the GL examples work with lablgtk2. Lablgtk2 uses the
> > > > libgtkgl2.0-dev package instead of the older gtkglarea ones though, but it
> > > > seems to be the same stuff : 
> > > 
> > > As far as I can see, what you call libgtkgl2.0 happens to be what
> > > others call gtkglarea-1.99, i.e. the gtk2-ized version of gtkglarea.
> > > It seems that we are a few here experiencing problems with this
> > > version and very recent versions of gtk2 (in my case, gtk-2.4.13).
> > > So maybe you are not using the same version of gtk, or the debian
> > > people have already solved the problem, or actually the cause is
> > > different altogether (hard to guess).
> > 
> > Well :
> > 
> > $ dpkg -l | grep libgtk2.0-0
> > ii  libgtk2.0-0    2.4.13-1       The GTK+ graphical user interface library
> > 
> > But we have probably not rebuilded lablgtk or gtkglarea with it recently, let
> > me check ...
> > 
> > gtkgl2 (1.99.0-2) unstable; urgency=low
> > 
> > ...
> > 
> >  -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 11 May 2003 19:47:24 +0200
> > 
> > So, maybe there is a build problem, let me check and rebuild it locally to be
> > sure.
> > 
> > What exactly are the problems ? During the build of libgtkgl2, or during the
> > build of lablgl ? 
> 
> Both gtkgl2 and lablgl build without problems, so you may well want to
> look at
> the debian packages for the source of your problem. (Or simply run
> debian).
> 
> Friendly,
> 
> Sven Luther
> 
> _______________________________________________
> Caml-list mailing list. Subscription management:
> http://yquem.inria.fr/cgi-bin/mailman/listinfo/caml-list
> Archives: http://caml.inria.fr
> Beginner's list: http://groups.yahoo.com/group/ocaml_beginners
> Bug reports: http://caml.inria.fr/bin/caml-bugs
>